# CClosure Struct Reference

`#include <lua/lobject.h>`

Collaboration diagram for CClosure:
[legend]

## Data Fields

| ClosureHeader
lua_CFunction | f
TValue | upvalue [1]

## Detailed Description

Definition at line 295 of file lobject.h.

## Field Documentation

CClosure::ClosureHeader

Definition at line 296 of file lobject.h.

lua_CFunction CClosure::f

Definition at line 297 of file lobject.h.

Referenced by f_Ccall(), and lua_pushcclosure().

TValue CClosure::upvalue[1]

Definition at line 298 of file lobject.h.

Referenced by aux_upvalue(), index2adr(), lua_pushcclosure(), and traverseclosure().

The documentation for this struct was generated from the following file:

- lua/lobject.h